<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/jsf/html ">
<h:head>
    <title>Busca de CNPJ</title>
</h:head>
<h:body>
    <h:form>
        <h:panelGrid columns="2">
            <h:outputLabel for="cnpj" value="CNPJ:"/>
            <h:inputText id="cnpj" value="#{empresaBean.cnpj}" required="true"/>
            <h:commandButton value="Pesquisar" action="#{empresaBean.pesquisar}"/>
        </h:panelGrid>
    </h:form>

    <h:panelGroup rendered="#{empresaBean.empresa != null}">
        <h:form>
            <h:panelGrid columns="2">
                <h:outputLabel value="Nome:"/>
                <h:outputText value="#{empresaBean.empresa.nome}"/>
                <h:outputLabel value="CNPJ:"/>
                <h:outputText value="#{empresaBean.empresa.cnpj}"/>
                <h:outputLabel value="Endereço:"/>
                <h:inputText value="#{empresaBean.endereco}"/>
                <h:outputLabel value="Telefone:"/>
                <h:inputText value="#{empresaBean.telefone}"/>
                <h:commandButton value="Salvar" action="#{empresaBean.salvar}"/>
            </h:panelGrid>
        </h:form>
    </h:panelGroup>
</h:body>
</html>